//--------------------------------------------------------------------
//                                                                    
//  Module:       DialogExample                                       
//  Description:  DialogExample
//                                                                    
//--------------------------------------------------------------------

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;
import java.io.*;
import java.net.*;


public class DialogExample extends JDPClassLayout  {

	JDPUser user;
	JDPJagg jaggSQL;
	JDPPopupMessage popuppanel;
	JDPMaskEdit JDPMaskEditMain;
	String moduleParameter;
	//
	//  Declare screen components
	//
	Panel Main;
	JDPDialog JDPDialog1;
	JDPScrollPanel ScrollPanel1;
	Label Label1;
	Button Button1;
	JDPScrollPanel ScrollPanel2;
	Button Button2;

	public void InitClass(JDPUser user, Panel targetPanel, String moduleParameter) {

		this.user = user;
		this.moduleParameter = moduleParameter;
		//
		//  Set JAGG settings for this class
		//
		jaggSQL = new JDPJagg(user.jaggPath);

		setLayout(new BorderLayout());
		popuppanel = new JDPPopupMessage(user,this);
		add(popuppanel);
		JDPMaskEditMain = new JDPMaskEdit();

		Main = new Panel();
		JDPDialog1 = new JDPDialog(user, this);
		ScrollPanel1 = new JDPScrollPanel();
		Label1 = new Label("Click here to close the dialog", Label.LEFT);
		Button1 = new Button("Close Dialog");
		ScrollPanel2 = new JDPScrollPanel();
		Button2 = new Button("Press to display the dialog");

		Main.setLayout(new BorderLayout());
		add("Center", Main);
				JDPDialog1.add("Center", ScrollPanel1);
		ScrollPanel1.add("Left", Label1);
		ScrollPanel1.add("Right", Button1);
		Main.add("West", ScrollPanel2);
		ScrollPanel2.add("Left", Button2);



		//
		//  Initialise Components
		//
		InitComponents();
		//
		//  Add the handle to this panel to the global vector so other panels can
		//  access this one
		//
		user.gParm.addElement(this);
	}

	//
	//  Handle screen events
	//
	public boolean handleEvent(Event e) {

		switch (e.id) {
		case Event.WINDOW_DESTROY:
			if (e.target.equals(JDPDialog1)) {
				JDPDialog1.dispose();
				return true;
			}
			return false;

		case Event.ACTION_EVENT:
			if (e.target.equals(Button1)) {
				JDPDialog1.dispose();
				return true;
			}
			if (e.target.equals(Button2)) {
				JDPDialog1.display();
				return true;
			}
			return false;

		case Event.MOUSE_MOVE:
		case Event.MOUSE_ENTER:
		case Event.MOUSE_EXIT:
			popuppanel.postEvent(e);
			return false;

		default:
			return false;

		}
	}


	//
	//  Initialise other components by calling their methods
	//
	public void InitComponents() {

		

	}

}

