//--------------------------------------------------------------------
//                                                                    
//  Module:       MessageBoxExample                                       
//  Description:  MessageBoxExample
//                                                                    
//--------------------------------------------------------------------

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;
import java.io.*;
import java.net.*;


public class MessageBoxExample extends JDPClassLayout  {

	JDPUser user;
	JDPJagg jaggSQL;
	JDPPopupMessage popuppanel;
	JDPMaskEdit JDPMaskEditMain;
	String moduleParameter;
	//
	//  Declare screen components
	//
	Panel Main;
	JDPScrollPanel ScrollPanel2;
	Button Button2;
	JDPMessageDialog MessageBox1;

	public void InitClass(JDPUser user, Panel targetPanel, String moduleParameter) {

		this.user = user;
		this.moduleParameter = moduleParameter;
		//
		//  Set JAGG settings for this class
		//
		jaggSQL = new JDPJagg(user.jaggPath);

		setLayout(new BorderLayout());
		popuppanel = new JDPPopupMessage(user,this);
		add(popuppanel);
		JDPMaskEditMain = new JDPMaskEdit();

		Main = new Panel();
		ScrollPanel2 = new JDPScrollPanel();
		Button2 = new Button("Press to display the message box");
		MessageBox1 = new JDPMessageDialog(user, this);

		Main.setLayout(new BorderLayout());
		add("Center", Main);
		Main.add("West", ScrollPanel2);
		ScrollPanel2.add("Left", Button2);
		
		Button2.setFont(new Font("Helvetica", Font.PLAIN, 11));
		Button2.setForeground(user.u._cvtcolor("Black"));
		Button2.setBackground(user.u._cvtcolor("LightGray"));
		MessageBox1.setFont(new Font("Helvetica", Font.PLAIN, 11));
		MessageBox1.setForeground(user.u._cvtcolor("Black"));
		MessageBox1.setBackground(user.u._cvtcolor("LightGray"));
		MessageBox1.setTitle("This is the message box title");
		MessageBox1.setMessage("This is the message box text");
		MessageBox1.setButtonCount(2);


		//
		//  Initialise Components
		//
		InitComponents();
		//
		//  Add the handle to this panel to the global vector so other panels can
		//  access this one
		//
		user.gParm.addElement(this);
	}

	//
	//  Handle screen events
	//
	public boolean handleEvent(Event e) {

		switch (e.id) {
		case Event.ACTION_EVENT:
			if (e.target.equals(Button2)) {
				MessageBox1.display();
				user.mainmsg.setStatusMsg("Button " + Integer.toString(MessageBox1.getPressedButton()) + " was pressed",8);
				return true;
			}
			return false;

		case Event.MOUSE_MOVE:
		case Event.MOUSE_ENTER:
		case Event.MOUSE_EXIT:
			popuppanel.postEvent(e);
			return false;

		default:
			return false;

		}
	}


	//
	//  Initialise other components by calling their methods
	//
	public void InitComponents() {

		MessageBox1.setButtonText(0, "Yes");
		MessageBox1.setButtonText(1, "No");

	}

}

